package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;


public enum DeviceActionEnum {
    正常(0, "正常"),
    重启(1, "重启"),
    关机(2, "关机");
    private Integer value;
    private String desc;

    DeviceActionEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static DeviceActionEnum getByValue(Integer value) {
        for (DeviceActionEnum alarmLevelEnum : DeviceActionEnum.values()) {
            if (alarmLevelEnum.getValue() == value) {
                return alarmLevelEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (DeviceActionEnum item : DeviceActionEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}